Part Point/it: Difference between revisions

From FreeCAD Documentation
(Created page with "== Descrizione ==")
No edit summary
Line 21: Line 21:
== Descrizione ==
== Descrizione ==


Un [[Image:Part_Point.svg|24px]] '''Part Punto''' è un punto parametrico che può essere creato con il comando [[Image:Part_Primitives.svg|24px]] [[Part_Primitives/it|Part Primitive]]. Le sue coordinate sono relative al sistema di coordinate definito dalla sua proprietà {{PropertyData|Placement}}.
<div class="mw-translate-fuzzy">
== Descrizione ==
Una primitiva geometrica Punto (vertice).
</div>


<span id="Usage"></span>
<span id="Usage"></span>

Revision as of 19:44, 6 January 2024

Part Punto

Posizione nel menu
Parte → Crea primitive → Punto
Ambiente
Part, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Part Primitive

Descrizione

Un Part Punto è un punto parametrico che può essere creato con il comando Part Primitive. Le sue coordinate sono relative al sistema di coordinate definito dalla sua proprietà DatiPlacement.

Utilizzo

See Part Primitives.

Properties

See also: Property editor.

A Part Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DatiX (Distance): The X coordinate of the point. The default is 0mm.
  • DatiY (Distance): The Y coordinate of the point. The default is 0mm.
  • DatiZ (Distance): The Z coordinate of the point. The default is 0mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()